# Retrieve account transfers and retirements View your account's ledger history, such as account-to-account transfers and retirements. Endpoint: GET /api/ledger/{ledgerIdentifier}/history Version: 1.0.0 Security: JWT ## Path parameters: - `ledgerIdentifier` (string, required) Ledger identifier, can be found using /api/ledger endpoint Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" ## Query parameters: - `onBehalfOfSrcAcctId` (string) If permitted, allows the caller to request transfer history on behalf of another account holder, identifying that account holder by their system-assigned srcAcctId. Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" - `$skip` (integer) - `$top` (integer) - `$filter` (string) - `$apply` (string) - `$orderby` (string) - `$count` (boolean) ## Response 200 fields (application/json): - `ledgerHistoryRecords` (array) A collection of ledger history entries. - `ledgerHistoryRecords.ledgerEntryType` (string) The ledger entry type: TRANSFERBATCH = Transfer Batch (includes both inter-account and subaccount transfers); RETIREMENTBATCH = Retirement Batch; ISSUANCE = Issuance; ENCUMBRANCEBATCH = Encumbrance Batch; INTERLEDGERTRANSFER = Inter-Ledger Transfer Example: "ISSUANCE" - `ledgerHistoryRecords.identifier` (string) The system-assigned identifier for the ledger entry. Example: "3F06C260-5760-4DFA-BE70-407067D60704" - `ledgerHistoryRecords.statusCode` (string) The ledger entry's current status code. Example: "ISSUED" - `ledgerHistoryRecords.createdAt` (string) - `ledgerHistoryRecords.lastModifiedAt` (string) ## Response 404 fields